org.apache.cassandra.index.transactions

## Interface CleanupTransaction

All Superinterfaces:
  IndexTransaction

    public interface CleanupTransaction
    extends IndexTransaction

Performs garbage collection of index entries during a cleanup. Notifies registered indexers of each partition being removed and Compaction and Cleanup are somewhat simpler than dealing with incoming writes, being only concerned with cleaning up stale index entries. When multiple versions of a row are compacted, the CleanupTransaction is notified of the versions being merged, which it diffs against the merge result and forwards to the registered Index.Indexer instances when on commit. Instances are currently scoped to a single row within a partition, but this could be improved to batch process multiple rows within a single partition.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.cassandra.index.transactions.IndexTransaction

`IndexTransaction.Type`

### Field Summary

Fields
`static CleanupTransaction` `NO_OP`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onPartitionDeletion(DeletionTime deletionTime)`
`void` `onRowDelete(Row row)`

### Methods inherited from interface org.apache.cassandra.index.transactions.IndexTransaction

`commit, start`

### Field Detail

#### NO_OP

    static final CleanupTransaction NO_OP

### Method Detail

#### onPartitionDeletion

    void onPartitionDeletion(DeletionTime deletionTime)

#### onRowDelete

    void onRowDelete(Row row)